using UnityEngine;
using System.Collections.Generic;

[Height(4.0f)]
[Radius(0.75f)]

[OnlyOne]
public class StartTile : Entity {
	
	public StartTile(Position pos, Position.Direction facing,  GameState gamestate) : base(pos, facing, gamestate)
	{
		drawcolorindex = (int)RenderLevel.Pal.Start;
		movertype = Entity.MoverType.Wall;
		upper=true;
	}			
	
	
	public override Entity Clone(GameState gs)
	{
		//is static, should be safe
		return this;
		//return new Wall(new Position(pos),gs);
	}
}
