using UnityEngine;
using System.Collections.Generic;
using System.Linq;





[Height(3.0f)]
[Radius(0.8f)]

[Agent]
[MovementBarrier]
//[BlocksLight]
public class StaticWhale : Whale {	
	public StaticWhale(Position pos, Position.Direction facing,  GameState gamestate) : base(pos, facing, gamestate) {
		 beams = new BeamDat[]{ 
			new BeamDat(this,(Position.Direction)0),
			new BeamDat(this,(Position.Direction)1),
			new BeamDat(this,(Position.Direction)2),
			new BeamDat(this,(Position.Direction)3)};
		
		drawcolorindex = (int)RenderLevel.Pal.Wall;
		movertype = Entity.MoverType.StaticWhale;
		movesoundtype = SoundPlayer.SoundType.S_Whale;
	}			
		
	public BeamDat[] beams;
		
	override public bool TryMove(Position.Direction d, MoverType othertype, float delay) 
	{
		return false;
	}
	
	
	public override Entity Clone(GameState gs)
	{
		return new StaticWhale(new Position(pos), facing,gs);
	}
}
