using UnityEngine;
using System.Collections.Generic;





[Height(4.0f)]
[Radius(1.0f)]

[MovementBarrier]
[BlocksLight]
public class Wall : Entity {
	
	public Wall(Position pos, Position.Direction facing,  GameState gamestate) : base(pos, facing, gamestate)
	{
		drawcolorindex = (int)RenderLevel.Pal.Wall;
		movertype = Entity.MoverType.Wall;
	}			
	
	
	public override Entity Clone(GameState gs)
	{
		//is static, should be safe
		return this;
		//return new Wall(new Position(pos),gs);
	}
}
